Loading...
Searching...
No Matches
Opm::EclEpsGridProperties Class Reference

Collects all grid properties which are relevant for end point scaling. More...

`#include <EclEpsGridProperties.hpp>`

## Public Member Functions

int | satRegion (const std::size_t active_index) const
double | permx (const std::size_t active_index) const
double | permy (const std::size_t active_index) const
double | permz (const std::size_t active_index) const
double | poro (const std::size_t active_index) const
const double * | swl (const std::size_t active_index) const
const double * | sgl (const std::size_t active_index) const
const double * | swcr (const std::size_t active_index) const
const double * | sgcr (const std::size_t active_index) const
const double * | sowcr (const std::size_t active_index) const
const double * | sogcr (const std::size_t active_index) const
const double * | swu (const std::size_t active_index) const
const double * | sgu (const std::size_t active_index) const
const double * | pcw (const std::size_t active_index) const
const double * | pcg (const std::size_t active_index) const
const double * | krw (const std::size_t active_index) const
const double * | krwr (const std::size_t active_index) const
const double * | krg (const std::size_t active_index) const
const double * | krgr (const std::size_t active_index) const
const double * | kro (const std::size_t active_index) const
const double * | krorg (const std::size_t active_index) const
const double * | krorw (const std::size_t active_index) const

## Detailed Description

Collects all grid properties which are relevant for end point scaling.

This class is used for both, the drainage and the imbibition variants of the ECL keywords.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclEpsGridProperties.hpp